#include <iostream>
using namespace std;

/* Esercizio 2 :
 * la funzione deve sommare gli elementi all'interno di un array e dire se è pari o dispari
 * la funzione ritorna un booleano, quindi true o false.
 * Questa funzione ritorna true se è pari, false se è dispari.
 * alla funzione va passato un puntatore (che punterà al primo elemento dell'array)
 * e la dimensione dell'array, altrimenti il c++ non sa quanto è grande l'array.
 * n.b. gli elementi dell'array vengono letti nel main, alla funzione viene passato
 * l'array già inizializzato
 */

const int n = 6;

bool somma_pari_vettore(int* vettore, int dim){
	int somma = 0;
	for(int i=0;i<dim;i++){
		// somma += vettore[i];
		 somma += *(vettore+i);
	}
	if(somma%2 == 0){
		return true;
	}
	else{ 
		return false;
	}
}

int main(){
	int vett[n];

	cout << "Inserisci " << n << " numeri interi: " << endl;
	for(int i=0;i<n;i++){
		cin >> vett[i];
	}
	bool pari = somma_pari_vettore(vett, n);
	// ALTERNATIVA: 
	// bool pari = somma_pari_vettore(&vett[0], n);
	cout << "La somma e' ";
	if(pari){
		cout << "PARI" << endl;
	}
	else {
		cout << "DISPARI" << endl;
	}
	return 0;
}

