#include <iostream>
using namespace std;

/* Esercizio 5:
 * la funzione cerca il valore massimo e minimo, e stampa a 
 * video questi valori e l’indice di questi valori.
 * alla funzione va passato un puntatore (che punterà al primo elemento dell'array)
 * e la dimensione dell'array, altrimenti il c++ non sa quanto è grande l'array.
 * n.b. gli elementi dell'array vengono letti nel main, alla funzione viene passato
 * l'array già inizializzato
 */

const int n = 10;

void max_min_vettore(int* vettore, int dim){
	int massimo = vettore[0];
	int minimo = vettore[0]; 
	int indice_max = 0, indice_min = 0;
	for(int i=0;i<dim;i++){
		if(massimo < vettore[i]){
			massimo = vettore[i];
			indice_max = i;
		}
		if(minimo > vettore[i]){
			minimo = vettore[i];
			indice_min = i;
		}
	}
	cout << "Il valore massimo e' " << massimo << " e ha indice " << indice_max << endl;
	cout << "Il valore minimo e' " << minimo << " e ha indice " << indice_min << endl;
}

int main(){
	int vett[n];

	cout << "Inserisci " << n << " numeri interi: " << endl;
	for(int i=0;i<n;i++){
		cin >> vett[i];
	}
	max_min_vettore(vett, n);
	// ALTERNATIVA: 
	// max_min_vettore(&vett[0], n);
	return 0;
}

